## org.eclipse.emf.edit.provider
Interface ComposedAdapterFactory.Descriptor

Enclosing class:
  ComposedAdapterFactory

    public static interface ComposedAdapterFactory.Descriptor

A descriptor is can create an adapter factory. They are used as the values in a `registry`.

Nested Class Summary
`static interface` `ComposedAdapterFactory.Descriptor.Registry` A registry is an index that takes a collection of keys, typically a pair consisting of an EPackage or java.lang.Package, and a java.lang.Class, and maps it to a `descriptor`.

Method Summary
`AdapterFactory` `createAdapterFactory()` Creates an adapter factory.

Method Detail

### createAdapterFactory

    AdapterFactory createAdapterFactory()

  Creates an adapter factory.

  Returns:
    a new adapter factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.